<template>
    <div>
        <b-navbar toggleable="lg" type="light" variant="light">
            <b-navbar-brand href="#">
                 <img src="../assets/LG2.png" alt="LOGO" height="50px">
            </b-navbar-brand>

            <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

            <b-collapse id="nav-collapse" is-nav>
            <b-navbar-nav>
                <b-nav-item to="/">Home</b-nav-item>
                <b-nav-item to="/about">About</b-nav-item>
                <b-nav-item to="/academy">Academy</b-nav-item>
                <b-nav-item to="/newspage">News</b-nav-item>
                <b-nav-item to="/cooperation">Cooperation</b-nav-item>
            </b-navbar-nav>
            <b-navbar-nav class="navbar-right">
                <button onclick="document.getElementById('id01').style.display='block'" type="button" class="btn btn-dark">Sign In</button>
                <sign-in></sign-in>
                
                <!-- <b-button v-on="click" variant="outline-dark" to="/signin-form">Sign In</b-button> -->
            </b-navbar-nav>
            </b-collapse>
            

            <!-- <div class="buttons">
                Check that the SDK client is not currently loading before accessing is methods
                <div v-if="!$auth.loading">
                show login when not authenticated
                <a v-if="!$auth.isAuthenticated" @click="login" class="button is-dark"><strong>Sign in</strong></a>
                show logout when authenticated
                <a v-if="$auth.isAuthenticated" @click="logout" class="button is-dark"><strong>Log out</strong></a>
                </div>
            </div> -->

        </b-navbar>
    </div>
    
</template>

<script>
import signinForm from "@/components/signinForm.vue"
export default {
    components:{
        "sign-in": signinForm
    },
  name: 'Nav',
  methods: {
  // Log the user in
  login() {
    this.$auth.loginWithRedirect();
  },
  // Log the user out
  logout() {
    this.$auth.logout({
      returnTo: window.location.origin
    });
  }
  }
}
</script>

<style>
#nav a.router-link-exact-active {
    color: black;
}
p{
    font-size: 1rem;
}
.navbar-right{
    margin-left: auto;
}
</style>